package org.tio.sitexxx.service.model.main;

import org.tio.sitexxx.service.model.main.base.BaseWxWalletSendRedPacket;

import java.util.Map;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-11-24 16:05
 *    desc   :
 * </pre>
 */
public class WxWalletSendRedPacket extends BaseWxWalletSendRedPacket<WxWalletSendRedPacket> {
    public static final WxWalletSendRedPacket dao = new WxWalletSendRedPacket().dao();

    public static WxWalletSendRedPacket mapToBean(Map<String, Object> map) {
        WxWalletSendRedPacket redPacket = new WxWalletSendRedPacket();
        redPacket._setOrPut(map);
        return redPacket;
    }

    public void setNick(java.lang.String nick) {
        put("nick", nick);
    }

    public java.lang.String getNick() {
        return getStr("nick");
    }

    public void setAvatar(java.lang.String avatar) {
        put("avatar", avatar);
    }

    public java.lang.String getAvatar() {
        return getStr("avatar");
    }
}
